> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/orders/get-methods/order-shipping-label/request.md).

# Request and Response

## Get the shipping label of an order

<mark style="color:blue;">`GET`</mark> `https://api.alephcrm.com/v2/orders/{orderId}/shippinglabel`

#### Query Parameters

| Name                                         | Type    | Description    |
| -------------------------------------------- | ------- | -------------- |
| API\_KEY<mark style="color:red;">\*</mark>   | String  | (default=none) |
| accountId <mark style="color:red;">\*</mark> | Integer | (default=none) |
| base64                                       | Boolean |                |
| format<mark style="color:red;">\*</mark>     | String  |                |

{% tabs %}
{% tab title="200: OK File or base64 encoded string with the requested shipping label" %}

{% endtab %}

{% tab title="400: Bad Request {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="401: Unauthorized {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="403: Forbidden {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="404: Not Found {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="412: Precondition Failed {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="429: Too Many Requests {"Status": integer, "Message": string}" %}

{% endtab %}

{% tab title="500: Internal Server Error String" %}

{% endtab %}
{% endtabs %}

## Parameters details

### API\_KEY

The API\_KEY that was provided.

### accountId

The Alephee account ID of the shipping label you are trying to get.

### orderId

Alephee ID to identify the order.\
The Alephee order number. It is not the marketplace order number.

### format

Specify the download format of the requested shipping label.\
Available values are “TXT” or “ZIP” or “PDF” format.\
TXT: Generates the shipping label in the ZPL format (for Zebra printers) in a downloadable “.txt” file.\
ZIP: Generates the shipping label in the ZPL format (for Zebra printers) and complementary .PDF file with the marketplace’s control receipt, both contained in a compressed and downloadable “.zip” file.\
PDF: Generates the shipping label in a .PDF format (for standard printers) in a downloadable “.pdf” file.

### base64

Forces downloading shipping label in the selected format but encoded as a base64 string.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.alephee.com/v2/orders/get-methods/order-shipping-label/request.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
